freemarker.core

## Class Environment.Namespace

- java.lang.Object
- - freemarker.template.WrappingTemplateModel
  - - freemarker.template.SimpleHash
    - - freemarker.core.Environment.Namespace

All Implemented Interfaces:
  TemplateHashModel, TemplateHashModelEx, TemplateHashModelEx2, TemplateModel, Serializable

Enclosing class:
  Environment

    public class Environment.Namespace
    extends SimpleHash

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface freemarker.template.TemplateHashModelEx2

`TemplateHashModelEx2.KeyValuePair, TemplateHashModelEx2.KeyValuePairIterator`

### Field Summary

### Fields inherited from interface freemarker.template.TemplateModel

`NOTHING`

### Method Summary

All Methods Instance Methods Concrete Methods
`Template` `getTemplate()`

### Methods inherited from class freemarker.template.SimpleHash

`containsKey, copyMap, get, isEmpty, keys, keyValuePairIterator, put, put, putAll, remove, size, synchronizedWrapper, toMap, toString, values`

### Methods inherited from class freemarker.template.WrappingTemplateModel

`getDefaultObjectWrapper, getObjectWrapper, setDefaultObjectWrapper, setObjectWrapper, wrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getTemplate

    public Template getTemplate()

Returns:
  the Template object with which this Namespace is associated.